Bug 238508 - mail/mailman: wrong paths in cron/rundig
Summary: mail/mailman: wrong paths in cron/rundig
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 20:50 UTC by asp-freebsd
Modified: 2019-06-13 18:33 UTC (History)
0 users

See Also:
mandree: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description asp-freebsd 2019-06-11 20:50:21 UTC
I installed mailman with htdig with:
	cd /usr/ports/mail/malman
	make config
		- add HTDIG
	make install

I set things up and ran ~mailman/cron/nightly_htdig.  It failed
when running ~mailman/cron/rundig because the paths in ~mailman/cron/rundig
were not updated.

I fixed the paths in ~mailman/cron/rundig to match the paths in
/usr/local/bin/rundig and then things worked.

% cd ~mailman
% diff -u cron/rundig.orig cron/rundig
--- cron/rundig.orig	2019-06-08 18:53:23.120474000 -0400
+++ cron/rundig	2019-06-08 22:15:45.675837000 -0400
@@ -7,10 +7,10 @@
 #
 # This is a sample script to create a search database for ht://Dig.
 #
-DBDIR=/opt/www/var/htdig
-COMMONDIR=/opt/www/share/htdig
-BINDIR=/opt/www/bin
-conffile=/opt/www/conf/htdig.conf
+DBDIR=/usr/local/share/htdig/database
+COMMONDIR=/usr/local/share/htdig/common
+BINDIR=/usr/local/bin
+conffile=/usr/local/etc/htdig/htdig.conf
 
 # To help debug problems, try running rundig -vvv
 # This will add lots of debugging output to all of the programs



% pkg which ~mailman/cron/rundig
/usr/local/mailman/cron/rundig was installed by package mailman-with-htdig-2.1.29_5
% pkg which /usr/local/bin/rundig 
/usr/local/bin/rundig was installed by package htdig-3.2.0.b6_6
% uname -a
FreeBSD mail 11.2-RELEASE-p10 FreeBSD 11.2-RELEASE-p10 #0: Mon May 13 21:20:50 UTC 2019 root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 1 Matthias Andree freebsd_committer 2019-06-13 18:33:01 UTC
Thanks for the thorough report and proposed fix.
Comment 2 commit-hook freebsd_committer 2019-06-13 18:33:25 UTC
A commit references this bug:

Author: mandree
Date: Thu Jun 13 18:32:36 UTC 2019
New revision: 504130
URL: https://svnweb.freebsd.org/changeset/ports/504130

Log:
  mail/mailman: fix cron/rundig if HTDIG option is enabled [1]

  Ditto for the two Mailman/Cgi/remote?mmsearch.

  PR:		238508 [1]
  Reported by:	asp-freebsd@partan.com [1]

Changes:
  head/mail/mailman/Makefile